org.activiti.engine

## Class ActivitiObjectNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.activiti.engine.ActivitiException
        - - org.activiti.engine.ActivitiObjectNotFoundException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    JobNotFoundException

      public class ActivitiObjectNotFoundException
      extends ActivitiException

  An exception indicating that the object that is required or actioned on does not exist.
  Author:
    Frederik Heremans
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivitiObjectNotFoundException(Class<?> objectClass)`
    `ActivitiObjectNotFoundException(String message)`
    `ActivitiObjectNotFoundException(String message, Class<?> objectClass)`
    `ActivitiObjectNotFoundException(String message, Class<?> objectClass, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getObjectClass()` The class of the object that was not found.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActivitiObjectNotFoundException

          public ActivitiObjectNotFoundException(String message)

    - #### ActivitiObjectNotFoundException

          public ActivitiObjectNotFoundException(String message,
                                                 Class<?> objectClass)

    - #### ActivitiObjectNotFoundException

          public ActivitiObjectNotFoundException(Class<?> objectClass)

    - #### ActivitiObjectNotFoundException

          public ActivitiObjectNotFoundException(String message,
                                                 Class<?> objectClass,
                                                 Throwable cause)

  - ### Method Detail

    - #### getObjectClass

          public Class<?> getObjectClass()

      The class of the object that was not found. Contains the interface-class of the activiti-object that was not found.

Copyright © 2016 Alfresco. All rights reserved.